import request from '@/utils/request'



export function searchSourceDataCategory(data) {
  return request({
    url: 'source/data/categories/',
    method: 'post',
    data
  })
}



export function createSourceDataCategory(data) {
  return request({
    url: 'source/data/categories/create/',
    method: 'post',
    data
  })
}

export function updateSourceDataCategory(data) {
  return request({
    url: '/source/data/category/update',
    method: 'post',
    data
  })
}


export function deleteSourceDataCategory(data) {
  return request({
    url: '/source/data/category/delete',
    method: 'post',
    data
  })
}



export function getSourceDataCategoryInfo(data) {
  return request({
    url: '/source/data/category/info',
    method: 'post',
    data
  })
}





export function searchSourceData(data) {
  return request({
    url: '/source/data/search',
    method: 'post',
    data
  })
}


export function createSourceData(data) {
  return request({
    url: '/source/data/create',
    method: 'post',
    data
  })
}



export function updateSourceData(data) {
  return request({
    url: '/source/data/update',
    method: 'post',
    data
  })
}


export function getSourceData(data) {
  return request({
    url: '/source/data/info',
    method: 'post',
    data
  })
}



export function deleteSourceData(data) {
  return request({
    url: '/source/data/delete',
    method: 'post',
    data
  })
}




/**搜索远程数据
 * @param {Object} data
 */
export function findData(data) {
  return request({
    url: '/source/data/find',
    method: 'post',
    data
  })
}
